Issue1225

classification
Title: socket.getservbyname/port() not yet supported
Type: Severity: major
Components: Library Versions: 2.5.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: amak Nosy List: amak, billiejoex, pjenvey
Priority: normal Keywords:

Created on 2009-01-10.15:35:44 by billiejoex, last changed 2010-03-29.18:11:19 by amak.

Messages
msg4020 (view) Author: Giampaolo Rodola' (billiejoex) Date: 2009-01-10.15:35:44
socket.getservbyport() is not yet supported.
msg4102 (view) Author: Alan Kennedy (amak) Date: 2009-01-28.16:42:25
Philip,

Maybe is there something in constantine that can address this currently
unimplemented functionality?
msg5589 (view) Author: Philip Jenvey (pjenvey) Date: 2010-03-23.23:26:52
Alan, Wayne Meissner just implemented exactly what we need for this in a separate library. It provides thisb functionality via jffi (with a fallback to parsing the /etc files):

http://github.com/wmeissner/jnr-netdb

http://markmail.org/message/co3lerdi4yivjmla
msg5607 (view) Author: Alan Kennedy (amak) Date: 2010-03-29.18:11:18
Fix checked in as of r6993.

Thanks to Wayne Meissner for developing the jnr-netdb library, on which the new jython support depends.

http://github.com/wmeissner/jnr-netdb
History
Date User Action Args
2010-03-29 18:11:19amaksetstatus: open -> closed
assignee: amak
resolution: fixed
messages: + msg5607
versions: - 2.5b0
2010-03-23 23:26:52pjenveysetmessages: + msg5589
title: socket.getservbyport() not yet supported -> socket.getservbyname/port() not yet supported
2009-03-14 14:29:50fwierzbickisetpriority: normal
2009-01-28 16:42:25amaksetnosy: + amak, pjenvey
messages: + msg4102
2009-01-10 15:35:44billiejoexcreate